Skip to main content
GET
/
email
/
messages
/
search
Search messages
curl --request GET \
  --url https://api.crevio.co/v1/email/messages/search \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "object": "<string>",
      "id": "<string>",
      "thread_id": "<string>",
      "inbox_id": "<string>",
      "message_id": "<string>",
      "in_reply_to": "<string>",
      "references": [
        "<string>"
      ],
      "from": "<string>",
      "to": "<array>",
      "cc": "<array>",
      "bcc": "<array>",
      "reply_to": "<string>",
      "subject": "<string>",
      "preview": "<string>",
      "labels": [
        "<string>"
      ],
      "delivery": {},
      "attachments": "<array>",
      "text": "<string>",
      "html": "<string>",
      "timestamp": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

query
string

Search query

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

Messages

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string